## mpv 0.2.1

=== Makefile ===
# MPlayer Makefile
#
# copyright (c) 2008 Diego Biurrun
# Rewritten entirely from a set of Makefiles written by Arpi and many others.
#
# This file is part of MPlayer.
#
# MPlayer is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# MPlayer is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along
# with MPlayer; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

include config.mak

###### variable declarations #######

SOURCES_AUDIO_INPUT-$(ALSA)     += stream/ai_alsa1x.c
SOURCES_AUDIO_INPUT-$(OSS)      += stream/ai_oss.c
SOURCES_AUDIO_INPUT-$(SNDIO)    += stream/ai_sndio.c
SOURCES-$(AUDIO_INPUT)          += $(SOURCES_AUDIO_INPUT-yes)
SOURCES-$(CDDA)                 += stream/stream_cdda.c \
                                   stream/cdinfo.c
SOURCES-$(DVBIN)                += stream/dvb_tune.c \
                                   stream/stream_dvb.c
SOURCES-$(DVDREAD)              += stream/stream_dvd.c \
                                   stream/stream_dvd_common.c

SOURCES-$(HAVE_SYS_MMAN_H)      += audio/filter/af_export.c
SOURCES-$(LADSPA)               += audio/filter/af_ladspa.c
SOURCES-$(LIBASS)               += sub/ass_mp.c sub/sd_ass.c \
                                   demux/demux_libass.c

SOURCES-$(LIBBLURAY)            += stream/stream_bluray.c
SOURCES-$(LIBBS2B)              += audio/filter/af_bs2b.c

SOURCES-$(LIBPOSTPROC)          += video/filter/vf_pp.c
SOURCES-$(LIBSMBCLIENT)         += stream/stream_smb.c

SOURCES-$(COCOA)                += video/out/cocoa/view.m \
                                   video/out/cocoa/window.m \
                                   video/out/cocoa/additions.m \
                                   video/out/cocoa_common.m \
                                   osdep/macosx_application.m \
                                   osdep/macosx_events.m \
                                   osdep/ar/HIDRemote.m \
                                   osdep/path-macosx.m

SOURCES-$(MNG)                  += demux/demux_mng.c
SOURCES-$(MPG123)               += audio/decode/ad_mpg123.c

SOURCES-$(NEED_GETTIMEOFDAY)    += osdep/gettimeofday.c
SOURCES-$(NEED_GLOB)            += osdep/glob-win.c
SOURCES-$(WIN32)                += osdep/path-win.c

SOURCES-$(PRIORITY)             += osdep/priority.c
SOURCES-$(PVR)                  += stream/stream_pvr.c
SOURCES-$(RADIO)                += stream/stream_radio.c
SOURCES-$(RADIO_CAPTURE)        += stream/audio_in.c
SOURCES-$(STREAM_CACHE)         += stream/cache.c

SOURCES-$(TV)                   += stream/stream_tv.c stream/tv.c \
                                   stream/frequencies.c stream/tvi_dummy.c

SOURCES-$(TV_V4L2)              += stream/tvi_v4l2.c stream/audio_in.c
SOURCES-$(VCD)                  += stream/stream_vcd.c
SOURCES-$(DUMMY_OSD)            += sub/osd_dummy.c
SOURCES-$(LIBASS_OSD)           += sub/osd_libass.c

SOURCES-$(ALSA)                 += audio/out/ao_alsa.c
SOURCES-$(CACA)                 += video/out/vo_caca.c
SOURCES-$(SDL)                  += audio/out/ao_sdl.c
SOURCES-$(SDL2)                 += video/out/vo_sdl.c
SOURCES-$(COREAUDIO)            += audio/out/ao_coreaudio.c \
                                   audio/out/ao_coreaudio_utils.c \
                                   audio/out/ao_coreaudio_properties.c
SOURCES-$(COREVIDEO)            += video/out/vo_corevideo.c
SOURCES-$(DIRECT3D)             += video/out/vo_direct3d.c \
                                   video/out/w32_common.c
SOURCES-$(DSOUND)               += audio/out/ao_dsound.c
SOURCES-$(WASAPI)               += audio/out/ao_wasapi.c
SOURCES-$(GL)                   += video/out/gl_common.c video/out/gl_osd.c \
                                   video/out/vo_opengl.c video/out/gl_lcms.c \
                                   video/out/gl_video.c video/out/dither.c \
                                   video/out/vo_opengl_old.c \
                                   video/out/pnm_loader.c

SOURCES-$(ENCODING)             += video/out/vo_lavc.c audio/out/ao_lavc.c \
                                   mpvcore/encode_lavc.c

SOURCES-$(GL_WIN32)             += video/out/w32_common.c video/out/gl_w32.c
SOURCES-$(GL_X11)               += video/out/x11_common.c video/out/gl_x11.c
SOURCES-$(GL_COCOA)             += video/out/gl_cocoa.c
SOURCES-$(GL_WAYLAND)           += video/out/wayland_common.c \
                                   video/out/gl_wayland.c

SOURCES-$(JACK)                 += audio/out/ao_jack.c
SOURCES-$(JOYSTICK)             += mpvcore/input/joystick.c
SOURCES-$(LIBQUVI)              += mpvcore/resolve_quvi.c
SOURCES-$(LIBQUVI9)             += mpvcore/resolve_quvi9.c
SOURCES-$(LIRC)                 += mpvcore/input/lirc.c
SOURCES-$(OPENAL)               += audio/out/ao_openal.c
SOURCES-$(OSS)                  += audio/out/ao_oss.c
SOURCES-$(PULSE)                += audio/out/ao_pulse.c
SOURCES-$(PORTAUDIO)            += audio/out/ao_portaudio.c
SOURCES-$(RSOUND)               += audio/out/ao_rsound.c
SOURCES-$(SNDIO)                += audio/out/ao_sndio.c
SOURCES-$(VDPAU)                += video/vdpau.c video/out/vo_vdpau.c
SOURCES-$(VDA)                  += video/decode/vda.c
SOURCES-$(VDPAU_DEC)            += video/decode/vdpau.c
SOURCES-$(VDPAU_DEC_OLD)        += video/decode/vdpau_old.c
SOURCES-$(VAAPI)                += video/out/vo_vaapi.c \
                                   video/decode/vaapi.c \
                                   video/vaapi.c
SOURCES-$(VAAPI_VPP)            += video/filter/vf_vavpp.c

SOURCES-$(X11)                  += video/out/vo_x11.c video/out/x11_common.c
SOURCES-$(XV)                   += video/out/vo_xv.c
SOURCES-$(WAYLAND)              += video/out/vo_wayland.c video/out/wayland_common.c

SOURCES-$(VF_LAVFI)             += video/filter/vf_lavfi.c
SOURCES-$(AF_LAVFI)             += audio/filter/af_lavfi.c

SOURCES-$(LUA)                  += mpvcore/mp_lua.c

ifeq ($(HAVE_AVUTIL_REFCOUNTING),no)
    SOURCES-yes                 += video/decode/lavc_dr1.c
endif

SOURCES-$(DLOPEN)               += video/filter/vf_dlopen.c

SOURCES = audio/audio.c \
          audio/chmap.c \
          audio/chmap_sel.c \
          audio/fmt-conversion.c \
          audio/format.c \
          audio/mixer.c \
          audio/reorder_ch.c \
          audio/decode/ad_lavc.c \
          audio/decode/ad_spdif.c      \
          audio/decode/dec_audio.c \
          audio/filter/af.c \
          audio/filter/af_center.c \
          audio/filter/af_channels.c \
          audio/filter/af_delay.c \
          audio/filter/af_dummy.c \
          audio/filter/af_equalizer.c \
          audio/filter/af_extrastereo.c \
          audio/filter/af_force.c \
          audio/filter/af_format.c \
          audio/filter/af_hrtf.c \
          audio/filter/af_karaoke.c \
          audio/filter/af_lavcac3enc.c \
          audio/filter/af_lavrresample.c \
          audio/filter/af_pan.c \
          audio/filter/af_scaletempo.c \
          audio/filter/af_sinesuppress.c \
          audio/filter/af_sub.c \
          audio/filter/af_surround.c \
          audio/filter/af_sweep.c \
          audio/filter/af_tools.c \
          audio/filter/af_drc.c \
          audio/filter/af_volume.c \
          audio/filter/filter.c \
          audio/filter/window.c \
          audio/out/ao.c \
          audio/out/ao_null.c \
          audio/out/ao_pcm.c \
          demux/codec_tags.c \
          demux/demux.c \
          demux/demux_edl.c \
          demux/demux_cue.c \
          demux/demux_lavf.c \
          demux/demux_mf.c \
          demux/demux_mkv.c \
          demux/demux_playlist.c \
          demux/demux_raw.c \
          demux/demux_subreader.c \
          demux/ebml.c \
          demux/mf.c \
          mpvcore/asxparser.c \
          mpvcore/av_common.c \
          mpvcore/av_log.c \
          mpvcore/av_opts.c \
          mpvcore/bstr.c \
          mpvcore/charset_conv.c \
          mpvcore/codecs.c \
          mpvcore/command.c \
          mpvcore/cpudetect.c \
          mpvcore/m_config.c \
          mpvcore/m_option.c \
          mpvcore/m_property.c \
          mpvcore/mp_common.c \
          mpvcore/mp_msg.c \
          mpvcore/mp_ring.c \
          mpvcore/mplayer.c \
          mpvcore/options.c \
          mpvcore/parser-cfg.c \
          mpvcore/parser-mpcmd.c \
          mpvcore/path.c \
          mpvcore/playlist.c \
          mpvcore/playlist_parser.c \
          mpvcore/screenshot.c \
          mpvcore/version.c \
          mpvcore/input/input.c \
          mpvcore/timeline/tl_edl.c \
          mpvcore/timeline/tl_matroska.c \
          mpvcore/timeline/tl_cue.c \
          osdep/io.c \
          osdep/numcores.c \
          osdep/timer.c \
          stream/cookies.c \
          stream/rar.c \
          stream/stream.c \
          stream/stream_avdevice.c \
          stream/stream_file.c \
          stream/stream_lavf.c \
          stream/stream_memory.c \
          stream/stream_mf.c \
          stream/stream_null.c \
          stream/stream_rar.c \
          sub/dec_sub.c \
          sub/draw_bmp.c \
          sub/find_subfiles.c \
          sub/img_convert.c \
          sub/sd_lavc.c \
          sub/sd_lavc_conv.c \
          sub/sd_lavf_srt.c \
          sub/sd_microdvd.c \
          sub/sd_movtext.c \
          sub/sd_spu.c \
          sub/sd_srt.c \
          sub/spudec.c \
          sub/sub.c \
          ta/ta.c \
          ta/ta_utils.c \
          ta/ta_talloc.c \
          video/csputils.c \
          video/fmt-conversion.c \
          video/image_writer.c \
          video/img_format.c \
          video/mp_image.c \
          video/mp_image_pool.c \
          video/sws_utils.c \
          video/decode/dec_video.c \
          video/decode/vd.c \
          video/decode/vd_lavc.c \
          video/filter/vf.c \
          video/filter/pullup.c \
          video/filter/vf_crop.c \
          video/filter/vf_delogo.c \
          video/filter/vf_divtc.c \
          video/filter/vf_down3dright.c \
          video/filter/vf_dsize.c \
          video/filter/vf_eq.c \
          video/filter/vf_expand.c \
          video/filter/vf_flip.c \
          video/filter/vf_format.c \
          video/filter/vf_gradfun.c \
          video/filter/vf_hqdn3d.c \
          video/filter/vf_ilpack.c \
          video/filter/vf_mirror.c \
          video/filter/vf_noformat.c \
          video/filter/vf_noise.c \
          video/filter/vf_phase.c \
          video/filter/vf_pullup.c \
          video/filter/vf_rotate.c \
          video/filter/vf_scale.c \
          video/filter/vf_screenshot.c \
          video/filter/vf_softpulldown.c \
          video/filter/vf_stereo3d.c \
          video/filter/vf_sub.c \
          video/filter/vf_swapuv.c \
          video/filter/vf_unsharp.c \
          video/filter/vf_vo.c \
          video/filter/vf_yadif.c \
          video/out/bitmap_packer.c \
          video/out/aspect.c \
          video/out/filter_kernels.c \
          video/out/vo.c \
          video/out/vo_null.c \
          video/out/vo_image.c \
          osdep/$(GETCH) \
          osdep/$(TIMER) \
          $(SOURCES-yes)

OBJECTS         += $(addsuffix .o, $(basename $(SOURCES)))
OBJECTS-$(PE_EXECUTABLE) += osdep/mpv-rc.o
OBJECTS         += $(OBJECTS-yes)

DEP_FILES = $(patsubst %.S,%.d,$(patsubst %.cpp,%.d,$(patsubst %.c,%.d,$(SOURCES:.m=.d) $(SOURCES:.m=.d))))

ALL_TARGETS     += mpv$(EXESUF)

INSTALL_BIN     += install-mpv
INSTALL_BIN_STRIP += install-mpv-strip
INSTALL_MAN      =
INSTALL_PDF      =

ifeq ($(BUILD_MAN),yes)

=== debian/changelog ===
mpv (0.2.1-1) unstable; urgency=low

  * New upstream release
  * Drop 01_spelling.patch (merged upstream)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 20 Oct 2013 17:04:17 +0200

mpv (0.2.0-1) unstable; urgency=low

  * New upstream release
  * Install sample configuration files as examples
  * Enable Lua scripting support
  * Remove copyright for talloc (not used anymore)
  * Update installed docs list
  * Update 01_spelling.patch
  * Enable VAAPI support

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 16 Oct 2013 12:38:59 +0200

mpv (0.1.7-1) unstable; urgency=low

  * New upstream release
  * Do not use python3 version of python-docutils
    (it seems to be having some trouble on the buildd)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 21 Sep 2013 11:39:51 +0200

mpv (0.1.6-1) unstable; urgency=low

  * New upstream release
  * Add 01_spelling.patch to fix spelling error found by lintian

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 14 Sep 2013 15:36:57 +0200

mpv (0.1.5-1) unstable; urgency=low

  [ Andreas Boll ]
  * Restrict wayland support to linux-any
  * Fix Vcs-Browser url

  [ Alessandro Ghedini ]
  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 07 Sep 2013 12:01:58 +0200

mpv (0.1.4-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 02 Sep 2013 13:10:37 +0200

mpv (0.1.3-1) unstable; urgency=low

  * New upstream release
  * Enable libpostproc support
  * Tighten Build-Depends on libav libraries

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 25 Aug 2013 10:49:15 +0200

mpv (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #719654)

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 14 Aug 2013 12:28:04 +0200

=== debian/control ===
Source: mpv
Section: video
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessandro Ghedini <ghedo@debian.org>
Build-Depends: debhelper (>= 9),
 ladspa-sdk,
 libasound2-dev,
 libass-dev,
 libavcodec-dev (>= 6:9~),
 libavfilter-dev (>= 6:9~),
 libavformat-dev (>= 6:9~),
 libavresample-dev (>= 6:9~),
 libavutil-dev (>= 6:9~),
 libcdio-paranoia-dev,
 libbluray-dev,
 libbs2b-dev,
 libdvdread-dev,
 libenca-dev,
 libegl1-mesa-dev [linux-any],
 libgl1-mesa-dev,
 libguess-dev,
 libjack-dev,
 libjpeg8-dev,
 liblircclient-dev,
 liblcms2-dev,
 liblua5.1-0-dev,
 libmng-dev,
 libmpg123-dev,
 libncurses5-dev,
 libncursesw5-dev,
 libpostproc-dev (>= 6:0.git20120821~),
 libpulse-dev,
 libquvi-dev,
 libsdl2-dev,
 libswscale-dev,
 libxkbcommon-dev [linux-any],
 libva-dev,
 libvdpau-dev,
 libwayland-dev [linux-any],
 libx11-dev,
 libxinerama-dev,
 libxss-dev,
 libxv-dev,
 pkg-config,
 python-docutils,
 yasm
Standards-Version: 3.9.4
Homepage: http://mpv.io/
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mpv.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/mpv.git

Package: mpv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: video player based on MPlayer/mplayer2
 mpv is a movie player based on MPlayer and mplayer2. It supports a wide
 variety of video file formats, audio and video codecs, and subtitle types.
 .
 Changes from mplayer2 to mpv include:
  * Removal of lots of unneeded code to encourage developer activity
  * Better OSD rendering
  * Cleaned up terminal output
  * Improved OpenGL output
  * Encoding functionality (replacement for mencoder)
  * Wayland support
  * Support for playing URLs of popular streaming sites
  * Screenshot improvements
  * ...
 See mpv(1) for more info regarding changes between MPlayer, mplayer2 and mpv.

## mpv 0.2.2

=== debian/changelog ===
mpv (0.2.2-1) unstable; urgency=low

  * New upstream release
  * Use absolute paths for (Try)Exec in mpv.desktop (Closes: #728149)

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 03 Nov 2013 12:01:35 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr --enable-sdl2

override_dh_auto_clean:
	test -f config.mak && dh_auto_clean || true

## mpv 0.2.3

=== debian/changelog ===
mpv (0.2.3-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 08 Nov 2013 11:34:14 +0100

## mpv 0.2.4

=== debian/changelog ===
mpv (0.2.4-2build1) trusty; urgency=medium

  * No-change rebuild for libmng soname bump.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 16 Dec 2013 16:56:15 +0100

mpv (0.2.4-2) unstable; urgency=medium

  * Use /etc/mpv instead of /usr/etc/mpv for configuration (Closes: #732214)
    - Add 02_fix-config-path.patch to update the manpage regarding
      config directories

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 15 Dec 2013 19:31:51 +0100

mpv (0.2.4-1) unstable; urgency=low

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 01 Dec 2013 22:37:02 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	./configure --prefix=/usr --confdir=/etc/mpv --enable-sdl2

override_dh_auto_clean:
	test -f config.mak && dh_auto_clean || true

## mpv 0.3.0

=== wscript ===
# vi: ft=python

import sys, os, re
sys.path.insert(0, os.path.join(os.getcwd(), 'waftools'))
sys.path.insert(0, os.getcwd())
from waflib.Configure import conf
from waflib import Utils
from waftools.checks.generic import *
from waftools.checks.custom import *

build_options = [
    {
        'name': '--static-build',
        'desc': 'static build',
        'default': 'disable',
        'func': check_true
    }, {
        'name': '--build-date',
        'desc': 'whether to include binary compile time',
        'default': 'enable',
        'func': check_true
    }, {
        'name': '--debug-build',
        'desc': 'whether to compile-in debugging information',
        'default': 'enable',
        'func': check_true
    }, {
        'name': '--manpage-build',
        'desc': 'manpage generation',
        'func': check_ctx_vars('RST2MAN')
    }, {
        'name': '--pdf-build',
        'desc': 'pdf manual generation',
        'func': check_ctx_vars('RST2LATEX', 'PDFLATEX'),
        'default': 'disable'
    }, {
        'name': 'libdl',
        'desc': 'dynamic loader',
        'func': check_libs(['dl'], check_statement('dlfcn.h', 'dlopen("", 0)'))
    }, {
        'name': 'dlopen',
        'desc': 'dlopen',
        'deps_any': [ 'libdl', 'os-win32', 'os-cygwin' ],
        'func': check_true
    }, {
        'name': '--vf-dlopen-filters',
        'desc': 'compilation of default filters for vf_dlopen',
        'deps': [ 'dlopen' ],
        'default': 'disable',
        'func': check_true
    }, {
        'name': '--macosx-bundle',
        'desc': 'compilation of a Mac OS X Application bundle',
        'deps': [ 'os-darwin' ],
        'default': 'disable',
        'func': check_true
    }, {
        'name': 'win32-executable',
        'desc': 'w32 executable',
        'deps_any': [ 'os-win32', 'os-cygwin'],
        'func': check_ctx_vars('WINDRES')
    }, {
        'name': '--asm',
        'desc': 'inline assembly',
        'default': 'enable',
        'func': check_true,
    }
]

main_dependencies = [
    {
        'name': 'noexecstack',
        'desc': 'compiler support for noexecstack',
        'func': check_cc(linkflags='-Wl,-z,noexecstack')
    }, {
        'name': 'noexecstack',
        'desc': 'linker support for --nxcompat --no-seh --dynamicbase',
        'func': check_cc(linkflags=['-Wl,--nxcompat', '-Wl,--no-seh', '-Wl,--dynamicbase'])
    }, {
        'name': 'ebx_available',
        'desc': 'ebx availability',
        'func': check_cc(fragment=load_fragment('ebx.c'))
    } , {
        'name': 'libm',
        'desc': '-lm',
        'func': check_cc(lib='m')
    }, {
        'name': 'nanosleep',
        'desc': 'nanosleep',
        'func': check_statement('time.h', 'nanosleep(0,0)')
    }, {
        'name': 'sys-mman-h',
        'desc': 'mman.h',
        'func': check_statement('sys/mman.h', 'mmap(0, 0, 0, 0, 0, 0)')
    }, {
        'name': 'pthreads',
        'desc': 'POSIX threads',
        'func': check_pthreads,
        'req': True,
        'fmsg': 'Unable to find pthreads support.'
    }, {
        'name': 'librt',
        'desc': 'linking with -lrt',
        'deps': [ 'pthreads' ],
        'func': check_cc(lib='rt')
    }, {
        'name': '--iconv',
        'desc': 'iconv',
        'func': check_iconv,
        'req': True,
        'fmsg': "Unable to find iconv which should be part of a standard \
compilation environment. Aborting. If you really mean to compile without \
iconv support use --disable-iconv.",
    }, {
        'name': 'dos-paths',
        'desc': 'w32/dos paths',
        'deps_any': [ 'os-win32', 'os-cygwin' ],
        'func': check_true
    }, {
        'name': 'priority',
        'desc': 'w32 priority API',
        'deps_any': [ 'os-win32', 'os-cygwin'],
        'func': check_true
    }, {
        'name': 'videoio',
        'desc': 'videoio.h',
        'func': check_headers('sys/videoio.h')
    }, {
        'name': '--terminfo',
        'desc': 'terminfo',
        'func': check_libs(['ncurses', 'ncursesw'],
            check_statement('term.h', 'setupterm(0, 1, 0)')),
    }, {
        'name': '--termcap',
        'desc': 'termcap',
        'deps_neg': ['terminfo'],
        'func': check_libs(['ncurses', 'tinfo', 'termcap'],
            check_statement('term.h', 'tgetent(0, 0)')),
    }, {
        'name': '--termios',
        'desc': 'termios',
        'func': check_headers('termios.h', 'sys/termios.h'),
    }, {
        'name': '--shm',
        'desc': 'shm',
        'func': check_statement(['sys/types.h', 'sys/ipc.h', 'sys/shm.h'],
            'shmget(0, 0, 0); shmat(0, 0, 0); shmctl(0, 0, 0)')
    }, {
        'name': 'posix-select',
        'desc': 'POSIX select()',
        'func': check_statement('sys/select.h', """
            int rc;
            rc = select(0, (fd_set *)(0), (fd_set *)(0), (fd_set *)(0),
                        (struct timeval *)(0))""")
    }, {
        'name': 'glob',
        'desc': 'glob()',
        'func': check_statement('glob.h', 'glob("filename", 0, 0, 0)')
    }, {
        'name': 'glob-win32-replacement',
        'desc': 'glob() win32 replacement',
        'deps_neg': [ 'glob' ],
        'deps_any': [ 'os-win32', 'os-cygwin' ],
        'func': check_true
    }, {
        'name': 'setmode',
        'desc': 'setmode()',
        'func': check_statement('io.h', 'setmode(0, 0)')
    }, {
        'name': 'sys-sysinfo-h',
        'desc': 'sys/sysinfo.h',
        'func': check_statement('sys/sysinfo.h',
            'struct sysinfo s_info; s_info.mem_unit=0; sysinfo(&s_info)')
    }, {
        'name': '--libguess',
        'desc': 'libguess support',
        'func': check_pkg_config('libguess', '>= 1.0'),
    }, {
        'name': '--libsmbclient',
        'desc': 'Samba support',
        'deps': [ 'libdl' ],
        'func': check_pkg_config('smbclient'),
        'module': 'input',
    }, {
        'name': '--libquvi4',
        'desc': 'libquvi 0.4.x support',
        'groups': [ 'libquvi' ],
        'func': check_pkg_config('libquvi', '>= 0.4.1'),
    }, {
        'name': '--libquvi9',
        'desc': 'libquvi 0.9.x support',
        'groups': [ 'libquvi' ],
        'deps_neg': [ 'libquvi4' ],
        'func': check_pkg_config('libquvi-0.9', '>= 0.9.0'),
    }, {
        'name': '--libquvi',
        'desc': 'libquvi support',
        'deps_any': [ 'libquvi4', 'libquvi9' ],
        'func': check_true
    }, {
        'name': '--libass',
        'desc': 'SSA/ASS support',
        'func': check_pkg_config('libass'),
        'req': True,
        'fmsg': "Unable to find development files for libass. Aborting. \
If you really mean to compile without libass support use --disable-libass."
    }, {
        'name': '--libass-osd',
        'desc': 'libass OSD support',
        'deps': [ 'libass' ],
        'func': check_true,
    }, {
        'name': 'dummy-osd',
        'desc': 'dummy OSD support',
        'deps_neg': [ 'libass-osd' ],
        'func': check_true,
    } , {
        'name': 'zlib',
        'desc': 'zlib',
        'func': check_libs(['z'],
                    check_statement('zlib.h', 'inflate(0, Z_NO_FLUSH)')),
        'req': True,
        'fmsg': 'Unable to find development files for zlib.'
    } , {
        'name' : '--encoding',
        'desc' : 'Encoding',
        'func': check_true,
    }, {
        'name' : '--joystick',
        'desc' : 'joystick',
        'func': check_cc(header_name='linux/joystick.h'),
        'default': 'disable'
    }, {
        'name' : '--lirc',
        'desc' : 'lirc',
        'func': check_cc(header_name='lirc/lirc_client.h', lib='lirc_client'),
    }, {
        'name' : '--vcd',
        'desc' : 'VCD support',
        'deps_any': [ 'os-linux', 'os-freebsd', 'os-netbsd', 'os-openbsd', 'os-darwin' ],
        'func': check_true,
        'os_specific_checks': {
            'os-win32': {
                'func': check_cc(fragment=load_fragment('vcd_windows.c'))
            }
        }
    }, {
        'name': '--libbluray',
        'desc': 'Bluray support',
        'func': check_pkg_config('libbluray', '>= 0.2.1'),
    }, {
        'name': '--dvdread',
        'desc': 'dvdread support',
        'func': check_pkg_config('dvdread', '>= 4.1.0'),
    }, {
        'name': '--dvdnav',
        'desc': 'dvdnav support',
        'deps': [ 'dvdread' ],
        'func': check_pkg_config('dvdnav', '>= 4.2.0'),
    }, {
        'name': '--cdda',
        'desc': 'cdda support (libcdio)',
        'func': check_pkg_config('libcdio_paranoia'),
    }, {
        'name': '--enca',
        'desc': 'ENCA support',
        'func': check_statement('enca.h', 'enca_get_languages(NULL)', lib='enca'),
    }, {
        'name': '--mpg123',
        'desc': 'mpg123 support',
        'func': check_pkg_config('libmpg123', '>= 1.2.0'),
    }, {
        'name': '--ladspa',
        'desc': 'LADSPA plugin support',
        'func': check_statement('ladspa.h', 'LADSPA_Descriptor ld = {0}'),
    }, {
        'name': '--libbs2b',
        'desc': 'libbs2b audio filter support',
        'func': check_pkg_config('libbs2b'),
    }, {
        'name': '--lcms2',
        'desc': 'LCMS2 support',
        'func': check_pkg_config('lcms2'),
    }
]

libav_pkg_config_checks = [
    'libavutil',   '>= 52.3.0',
    'libavcodec',  '> 54.34.0',
    'libavformat', '> 54.19.0',
    'libswscale',  '>= 2.0.0'
]

libav_dependencies = [
    {
        'name': 'libav',
        'desc': 'libav/ffmpeg',
        'func': check_pkg_config(*libav_pkg_config_checks),
        'req': True,
        'fmsg': "Unable to find development files for some of the required \
Libav libraries ({0}). Aborting.".format(" ".join(libav_pkg_config_checks))
    }, {
        'name': '--libavresample',
        'desc': 'libavresample',
        'func': check_pkg_config('libavresample',  '>= 1.0.0'),
    }, {
        'name': 'avresample-set-channel-mapping',
        'desc': 'libavresample channel mapping API',
        'deps': [ 'libavresample' ],
        'func': check_statement('libavresample/avresample.h',
                                'avresample_set_channel_mapping(NULL, NULL)',
                                use='libavresample'),
    }, {
        'name': '--libswresample',
        'desc': 'libswresample',
        'func': check_pkg_config('libswresample', '>= 0.17.102'),
    }, {
        'name': 'resampler',
        'desc': 'usable resampler found',
        'deps_any': [ 'libavresample', 'libswresample' ],
        'func': check_true,
        'req':  True,
        'fmsg': 'No resampler found. Install libavresample or libswresample (FFmpeg).'
    }, {
        'name': 'avcodec-new-vdpau-api',
        'desc': 'libavcodec new vdpau API',
        'func': check_statement('libavutil/pixfmt.h',
                                'int x = AV_PIX_FMT_VDPAU',
                                use='libav'),
    }, {
        'name': 'avcodec-chroma-pos-api',
        'desc': 'libavcodec avcodec_enum_to_chroma_pos API',
        'func': check_statement('libavcodec/avcodec.h', """int x, y;
            avcodec_enum_to_chroma_pos(&x, &y, AVCHROMA_LOC_UNSPECIFIED)""",
            use='libav')
    }, {
        'name': 'avutil-qp-api',
        'desc': 'libavutil QP API',
        'func': check_statement('libavutil/frame.h',
                                'av_frame_get_qp_table(NULL, NULL, NULL)',
                                use='libav')
    }, {
        'name': 'avutil-refcounting',
        'desc': 'libavutil ref-counting API',
        'func': check_statement('libavutil/frame.h', 'av_frame_unref(NULL)',
                                use='libav'),
    } , {
        'name': 'av-opt-set-int-list',
        'desc': 'libavutil av_opt_set_int_list() API',
        'func': check_statement('libavutil/opt.h',
                                'av_opt_set_int_list(0,0,(int*)0,0,0)',
                                use='libav')
    }, {
        'name': '--libavfilter',
        'desc': 'libavfilter',
        'func': compose_checks(
            check_pkg_config('libavfilter'),

=== debian/changelog ===
mpv (0.3.0-1) unstable; urgency=medium

  * New upstream release
    - Fix --vf=expand example in manpage (Closes: #732271)
  * Add 03_waf.patch to provide uncompressed waf scripts and modules
  * Switch to waf build script
  * Drop libmng-dev Build-Depends (not used anymore)
  * Bump Standards-Version to 3.9.5 (no changes needed)
  * Enable support for dvdnav
  * Install more docs

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 29 Dec 2013 20:04:26 +0100

=== debian/control ===
--- 
+++ 
@@ -12,20 +12,20 @@
  libavformat-dev (>= 6:9~),
  libavresample-dev (>= 6:9~),
  libavutil-dev (>= 6:9~),
- libcdio-paranoia-dev,
  libbluray-dev,
  libbs2b-dev,
+ libcdio-paranoia-dev,
+ libdvdnav-dev,
  libdvdread-dev,
+ libegl1-mesa-dev [linux-any],
  libenca-dev,
- libegl1-mesa-dev [linux-any],
  libgl1-mesa-dev,
  libguess-dev,
  libjack-dev,
  libjpeg8-dev,
+ liblcms2-dev,
  liblircclient-dev,
- liblcms2-dev,
  liblua5.1-0-dev,
- libmng-dev,
  libmpg123-dev,
  libncurses5-dev,
  libncursesw5-dev,
@@ -34,18 +34,19 @@
  libquvi-dev,
  libsdl2-dev,
  libswscale-dev,
- libxkbcommon-dev [linux-any],
  libva-dev,
  libvdpau-dev,
  libwayland-dev [linux-any],
  libx11-dev,
  libxinerama-dev,
+ libxkbcommon-dev [linux-any],
  libxss-dev,
  libxv-dev,
  pkg-config,
+ python,
  python-docutils,
  yasm
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://mpv.io/
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mpv.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/mpv.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	python ./waf --nocache configure \
		     --prefix=/usr       \
		     --confdir=/etc/mpv  \
		     --enable-sdl2

override_dh_auto_build:
	python ./waf --nocache build

override_dh_auto_install:
	python ./waf --nocache install --destdir=debian/mpv

override_dh_auto_clean:
	python ./waf --nocache distclean
	find . -name "*.pyc" -delete

## mpv 0.3.4

=== wscript ===
--- 
+++ 
@@ -77,7 +77,7 @@
         'desc': 'linker support for --nxcompat --no-seh --dynamicbase',
         'func': check_cc(linkflags=['-Wl,--nxcompat', '-Wl,--no-seh', '-Wl,--dynamicbase'])
     }, {
-        'name': 'ebx_available',
+        'name': 'ebx-available',
         'desc': 'ebx availability',
         'func': check_cc(fragment=load_fragment('ebx.c'))
     } , {
@@ -99,6 +99,27 @@
         'req': True,
         'fmsg': 'Unable to find pthreads support.'
     }, {
+        'name': 'atomic-builtins',
+        'desc': 'compiler support for __atomic built-ins',
+        'func': check_libs(['atomic'],
+            check_statement('stdint.h',
+                'int64_t test = 0;'
+                'test = __atomic_add_fetch(&test, 1, __ATOMIC_SEQ_CST)'))
+    }, {
+        'name': 'sync-builtins',
+        'desc': 'compiler support for __sync built-ins',
+        'func': check_statement('stdint.h',
+                    'int64_t test = 0;'
+                    'test = __sync_add_and_fetch(&test, 1)'),
+        'deps_neg': [ 'atomic-builtins' ],
+    }, {
+        'name': 'thread-synchronization-builtins',
+        'desc': 'compiler support for usable thread synchronization built-ins',
+        'func': check_true,
+        'deps_any': ['atomic-builtins', 'sync-builtins'],
+        'req': True,
+        'fmsg': 'your compiler must support either __atomic or __sync built-ins',
+    }, {
         'name': 'librt',
         'desc': 'linking with -lrt',
         'deps': [ 'pthreads' ],
@@ -314,6 +335,7 @@
         'name': '--libswresample',
         'desc': 'libswresample',
         'func': check_pkg_config('libswresample', '>= 0.17.102'),
+        'deps_neg': ['libavresample'],
     }, {
         'name': 'resampler',
         'desc': 'usable resampler found',
@@ -332,26 +354,3 @@
         'desc': 'libavcodec avcodec_enum_to_chroma_pos API',
         'func': check_statement('libavcodec/avcodec.h', """int x, y;
             avcodec_enum_to_chroma_pos(&x, &y, AVCHROMA_LOC_UNSPECIFIED)""",
-            use='libav')
-    }, {
-        'name': 'avutil-qp-api',
-        'desc': 'libavutil QP API',
-        'func': check_statement('libavutil/frame.h',
-                                'av_frame_get_qp_table(NULL, NULL, NULL)',
-                                use='libav')
-    }, {
-        'name': 'avutil-refcounting',
-        'desc': 'libavutil ref-counting API',
-        'func': check_statement('libavutil/frame.h', 'av_frame_unref(NULL)',
-                                use='libav'),
-    } , {
-        'name': 'av-opt-set-int-list',
-        'desc': 'libavutil av_opt_set_int_list() API',
-        'func': check_statement('libavutil/opt.h',
-                                'av_opt_set_int_list(0,0,(int*)0,0,0)',
-                                use='libav')
-    }, {
-        'name': '--libavfilter',
-        'desc': 'libavfilter',
-        'func': compose_checks(
-            check_pkg_config('libavfilter'),

=== TOOLS/vf_dlopen/Makefile ===
#
# Copyright (c) 2012 Rudolf Polzer <divVerent@xonotic.org>
#
# This file is part of mpv's vf_dlopen examples.
#
# mpv's vf_dlopen examples are free software; you can redistribute them and/or
# modify them under the terms of the GNU Lesser General Public License as
# published by the Free Software Foundation; either version 2.1 of the
# License, or (at your option) any later version.
#
# mpv's vf_dlopen examples are distributed in the hope that they will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
# General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with mpv's vf_dlopen examples; if not, write to the Free
# Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
# 02110-1301 USA
#

FILTERS = showqscale telecine tile rectangle framestep ildetect
COMMON = filterutils.o

OBJECTS = $(patsubst %,%.o,$(FILTERS)) $(COMMON)
HEADERS = $(wildcard *.h)
OUT = $(patsubst %,%.so,$(FILTERS))

CFLAGS ?= -Wall -Wextra -O3 -march=native -mtune=native -ffast-math

CPPFLAGS += -I../../video/filter
CFLAGS += -fPIC
LDFLAGS += -shared -fPIC

ifneq ($(LTO),)
CFLAGS += -flto
LDFLAGS += $(CFLAGS) -flto
endif

all: $(OUT)

clean:
	$(RM) $(OBJECTS) $(OUT)

%.so: %.o $(COMMON)
	$(CC) $(LDFLAGS) $(LIBS) -o $@ $(COMMON) $<

# FIXME replace this by real dependency tracking
%.o: %.c $(HEADERS)

=== debian/changelog ===
mpv (0.3.4-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 01 Feb 2014 12:20:29 +0100

mpv (0.3.3-1) unstable; urgency=medium

  * New upstream release

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 16 Jan 2014 23:34:23 +0100

mpv (0.3.2-1) unstable; urgency=medium

  * New upstream release
  * Default to gcc-4.8 on powerpcspe too (Closes: #733924)

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 06 Jan 2014 21:19:23 +0100

mpv (0.3.1-1) unstable; urgency=medium

  * New upstream release
  * Drop 04_use-atomic-not-sync.patch (merged upstream)

 -- Alessandro Ghedini <ghedo@debian.org>  Wed, 01 Jan 2014 22:51:36 +0100

mpv (0.3.0-2) unstable; urgency=medium

  * Enable ALSA on Linux only (should fix FTBFS on kfreebsd)
  * Add 04_use-atomic-not-sync.patch to fix FTBFS on mips, powerpc and sparc
    (Closes: #733632)
  * Explicitly use gcc-4.8 on powerpc and sparc
  * Use waf verbose output (shows build commands)

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 31 Dec 2013 12:38:24 +0100

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Alessandro Ghedini <ghedo@debian.org>
 Build-Depends: debhelper (>= 9),
+ gcc-4.8 [powerpc powerpcspe sparc],
  ladspa-sdk,
- libasound2-dev,
+ libasound2-dev [linux-any],
  libass-dev,
  libavcodec-dev (>= 6:9~),
  libavfilter-dev (>= 6:9~),

=== debian/rules ===
#!/usr/bin/make -f

ifeq ($(DEB_HOST_ARCH_CPU),$(filter $(DEB_HOST_ARCH_CPU),powerpc sparc))
	export CC=gcc-4.8 # fixes #73363
endif

%:
	dh $@

override_dh_auto_configure:
	python ./waf -v --nocache configure \
		     --prefix=/usr          \
		     --confdir=/etc/mpv     \
		     --enable-sdl2

override_dh_auto_build:
	python ./waf -v --nocache build

override_dh_auto_install:
	python ./waf -v --nocache install --destdir=debian/mpv

override_dh_auto_clean:
	python ./waf -v --nocache distclean
	find . -name "*.pyc" -delete

## mpv 0.3.7

=== wscript ===
--- 
+++ 
@@ -289,7 +289,7 @@
     }, {
         'name': '--mpg123',
         'desc': 'mpg123 support',
-        'func': check_pkg_config('libmpg123', '>= 1.2.0'),
+        'func': check_pkg_config('libmpg123', '>= 1.14.0'),
     }, {
         'name': '--ladspa',
         'desc': 'LADSPA plugin support',
